#include "xcleafbrushnodechildren.h"

XCLeafBrushNodeChildren::XCLeafBrushNodeChildren()
    : XAsset()
    , mDist(0.0f)
    , mRange(0.0f)
    , mChildOffset()
{
    SetName("C Leaf Brush Node Children");
}

XCLeafBrushNodeChildren::~XCLeafBrushNodeChildren()
{

}

void XCLeafBrushNodeChildren::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {
        mDist = aStream->ParseSingle(QString("%1 distance").arg(GetName()));
        mRange = aStream->ParseSingle(QString("%1 range").arg(GetName()));

        for (int i = 0; i < 2; i++)
        {
            mChildOffset[i] = aStream->ParseUInt32(QString("%1 child offset %2").arg(GetName()).arg(i));
        }
    }
}

void XCLeafBrushNodeChildren::Clear()
{
    mDist = 0.0f;
    mRange = 0.0f;
    mChildOffset = QVector<quint32>();
}
